This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 495446 - kernel oops on plugging in nokia 6500 classic phone
kernel oops on plugging in nokia 6500 classic phone
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 05:05 EDT by Peter Robinson
Modified: 2009-04-28 23:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-28 23:27:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-04-13 05:05:02 EDT
This previously worked on Fedora 10. On the phone I select the "data storage" option. I have seen a nummber of nokia phones added to a quirks list so I wonder whether this phone needs it as well. dmesg output:

wlan1: associated
setroubleshootd[2660] general protection ip:3803899884 sp:7fff69fd2050 error:0 in libpython2.6.so.1.0[3803800000+169000]
setroubleshootd[2664] general protection ip:3803899884 sp:7fffe2c25ca0 error:0 in libpython2.6.so.1.0[3803800000+169000]
setroubleshootd[2666] general protection ip:3803899884 sp:7fffdd4b8530 error:0 in libpython2.6.so.1.0[3803800000+169000]
usb 5-2: new full speed USB device using uhci_hcd and address 5
usb 5-2: New USB device found, idVendor=0421, idProduct=003d
usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 5-2: Product: Nokia 6500c
usb 5-2: Manufacturer: Nokia
usb 5-2: configuration #1 chosen from 2 choices
cdc_acm 5-2:1.1: ttyACM0: USB ACM device
usbcore: registered new interface driver cdc_acm
cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters
usbcore: registered new interface driver cdc_ether
usb 5-2: bad CDC descriptors
usbcore: registered new interface driver rndis_host
usb 5-2: bad CDC descriptors
usbcore: registered new interface driver rndis_wlan
BUG: sleeping function called from invalid context at kernel/mutex.c:88
in_atomic(): 1, irqs_disabled(): 0, pid: 0, name: swapper
Pid: 0, comm: swapper Not tainted 2.6.29.1-54.fc11.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8104255c>] __might_sleep+0x10b/0x110
 [<ffffffff813a8f2c>] mutex_lock+0x22/0x38
 [<ffffffff8103f597>] ? enqueue_task_fair+0x2a/0x6d
 [<ffffffff8122f794>] echo_char+0x25/0x81
 [<ffffffff81230e03>] n_tty_receive_buf+0x309/0xe50
 [<ffffffff8103be38>] ? task_rq_unlock+0x11/0x13
 [<ffffffff81042d5c>] ? default_wake_function+0x12/0x14
 [<ffffffff8103a1e0>] ? __wake_up_common+0x4e/0x84
 [<ffffffff8104fe2d>] ? __tasklet_schedule+0x77/0x8e
 [<ffffffff8102af47>] ? default_spin_lock_flags+0x9/0xe
 [<ffffffff81232a48>] ? tty_ldisc_try+0x3c/0x44
 [<ffffffff81233781>] flush_to_ldisc+0x10c/0x19f
 [<ffffffff81233864>] tty_flip_buffer_push+0x50/0x61
 [<ffffffffa03ab6ef>] acm_rx_tasklet+0x10c/0x28c [cdc_acm]
 [<ffffffff81050025>] tasklet_action+0x8e/0xf8
 [<ffffffff81050803>] __do_softirq+0x94/0x179
 [<ffffffff810127cc>] call_softirq+0x1c/0x30
 [<ffffffff8101394e>] do_softirq+0x52/0xb9
 [<ffffffff81050426>] irq_exit+0x53/0x90
 [<ffffffff81013c77>] do_IRQ+0x12c/0x151
 [<ffffffff81011f13>] ret_from_intr+0x0/0x2e
 <EOI>  [<ffffffff812187bd>] ? acpi_idle_enter_bm+0x28f/0x2de
 [<ffffffff812187b5>] ? acpi_idle_enter_bm+0x287/0x2de
 [<ffffffff812ee957>] ? cpuidle_idle_call+0x8d/0xc2
 [<ffffffff810102c7>] ? cpu_idle+0x68/0xb3
 [<ffffffff813a435c>] ? start_secondary+0x199/0x19e
BUG: scheduling while atomic: swapper/0/0x10000100
Modules linked in: rndis_wlan rndis_host cdc_ether usbnet cdc_acm mii snd_usb_audio snd_usb_lib snd_rawmidi snd_seq_device nls_utf8 vfat fat usb_storage tun rfcomm sco bridge stp llc bnep l2cap coretemp hwmon ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table fuse dm_multipath kvm uinput arc4 ecb dell_laptop dcdbas iwl3945 firewire_ohci pcspkr firewire_core rfkill yenta_socket joydev snd_hda_codec_idt crc_itu_t mac80211 snd_hda_intel iTCO_wdt rsrc_nonstatic i2c_i801 iTCO_vendor_support btusb tg3 lib80211 snd_hda_codec bluetooth cfg80211 snd_hwdep snd_pcm wmi video snd_timer output snd soundcore snd_page_alloc ata_generic pata_acpi nouveau drm i2c_algo_bit i2c_core [last unloaded: nf_nat]
CPU 1:
Modules linked in: rndis_wlan rndis_host cdc_ether usbnet cdc_acm mii snd_usb_audio snd_usb_lib snd_rawmidi snd_seq_device nls_utf8 vfat fat usb_storage tun rfcomm sco bridge stp llc bnep l2cap coretemp hwmon ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table fuse dm_multipath kvm uinput arc4 ecb dell_laptop dcdbas iwl3945 firewire_ohci pcspkr firewire_core rfkill yenta_socket joydev snd_hda_codec_idt crc_itu_t mac80211 snd_hda_intel iTCO_wdt rsrc_nonstatic i2c_i801 iTCO_vendor_support btusb tg3 lib80211 snd_hda_codec bluetooth cfg80211 snd_hwdep snd_pcm wmi video snd_timer output snd soundcore snd_page_alloc ata_generic pata_acpi nouveau drm i2c_algo_bit i2c_core [last unloaded: nf_nat]
Pid: 0, comm: swapper Not tainted 2.6.29.1-54.fc11.x86_64 #1 Latitude D630                   
RIP: 0010:[<ffffffff812187bd>]  [<ffffffff812187bd>] acpi_idle_enter_bm+0x28f/0x2de
RSP: 0018:ffff88007edf1ea8  EFLAGS: 00000246
RAX: ffffffff8177c300 RBX: ffff88007edf1ee8 RCX: ffff88007edf1e78
RDX: ffff88007f8ab000 RSI: 0000813acfcb75a1 RDI: ffff88000102dd80
RBP: ffffffff81011f0e R08: 0000000000000000 R09: ffff88000102d400
R10: ffff88007ede9018 R11: ffff88007ede90b8 R12: 0000000008caaa02
R13: ffff88007edf1e48 R14: ffffffff81065918 R15: ffff88007edf1e18
FS:  0000000000000000(0000) GS:ffff88007f801f00(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 00000037eb680390 CR3: 0000000000201000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff4ff0 DR7: 0000000000000400
Call Trace:
 [<ffffffff812187b5>] ? acpi_idle_enter_bm+0x287/0x2de
 [<ffffffff812ee957>] ? cpuidle_idle_call+0x8d/0xc2
 [<ffffffff810102c7>] ? cpu_idle+0x68/0xb3
 [<ffffffff813a435c>] ? start_secondary+0x199/0x19e
PPP generic driver version 2.4.2
PPP Deflate Compression module registered
usb 5-2: USB disconnect, address 5
usb 5-2: new full speed USB device using uhci_hcd and address 6
usb 5-2: New USB device found, idVendor=0421, idProduct=003b
usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 5-2: Product: Nokia 6500c
usb 5-2: Manufacturer: Nokia
usb 5-2: SerialNumber: 353099020423773
usb 5-2: configuration #1 chosen from 2 choices
scsi5 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 6
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 5:0:0:0: Direct-Access     Nokia    Nokia 6500c      0000 PQ: 0 ANSI: 4
sd 5:0:0:0: [sdb] 1966080 512-byte hardware sectors: (1.00 GB/960 MiB)
sd 5:0:0:0: [sdb] Write Protect is off
sd 5:0:0:0: [sdb] Mode Sense: 04 00 00 00
sd 5:0:0:0: [sdb] Assuming drive cache: write through
sd 5:0:0:0: [sdb] 1966080 512-byte hardware sectors: (1.00 GB/960 MiB)
sd 5:0:0:0: [sdb] Write Protect is off
sd 5:0:0:0: [sdb] Mode Sense: 04 00 00 00
sd 5:0:0:0: [sdb] Assuming drive cache: write through
 sdb:
sd 5:0:0:0: [sdb] Attached SCSI removable disk
sd 5:0:0:0: Attached scsi generic sg2 type 0
Comment 1 Chuck Ebbert 2009-04-13 18:42:12 EDT
drivers/char/n_tty.c:828

drivers/char/n_tty.c:1160

drivers/char/tty_buffer.c:444

drivers/char/tty_buffer.c:486
  if (tty->low_latency)
    flush_to_ldisc(&tty->buf.work.work);
Comment 2 Chuck Ebbert 2009-04-14 09:47:06 EDT
Should be fixed in kernel-2.6.29.1-77.fc11
Comment 3 Peter Robinson 2009-04-14 14:13:22 EDT
build 70 or 77. I only see as high as 70 in rawhide/koji
Comment 4 Peter Robinson 2009-04-15 04:26:19 EDT
OK, I don't see the kernel oops anymore but I don't see any file systems either. Fdisk reports no partitions.

usb 6-2: new full speed USB device using uhci_hcd and address 3
usb 6-2: New USB device found, idVendor=0421, idProduct=003c
usb 6-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 6-2: Product: Nokia 6500c
usb 6-2: Manufacturer: Nokia
usb 6-2: SerialNumber: 353099020423773
usb 6-2: configuration #1 chosen from 1 choice
usb 6-2: USB disconnect, address 3
usb 6-2: new full speed USB device using uhci_hcd and address 4
usb 6-2: New USB device found, idVendor=0421, idProduct=003b
usb 6-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 6-2: Product: Nokia 6500c
usb 6-2: Manufacturer: Nokia
usb 6-2: SerialNumber: 353099020423773
usb 6-2: configuration #1 chosen from 2 choices
Initializing USB Mass Storage driver...
scsi4 : SCSI emulation for USB Mass Storage devices
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device found at 4
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 4:0:0:0: Direct-Access     Nokia    Nokia 6500c      0000 PQ: 0 ANSI: 4
sd 4:0:0:0: [sdb] 1966080 512-byte hardware sectors: (1.00 GB/960 MiB)
sd 4:0:0:0: [sdb] Write Protect is off
sd 4:0:0:0: [sdb] Mode Sense: 04 00 00 00
sd 4:0:0:0: [sdb] Assuming drive cache: write through
sd 4:0:0:0: [sdb] 1966080 512-byte hardware sectors: (1.00 GB/960 MiB)
sd 4:0:0:0: [sdb] Write Protect is off
sd 4:0:0:0: [sdb] Mode Sense: 04 00 00 00
sd 4:0:0:0: [sdb] Assuming drive cache: write through
 sdb:
sd 4:0:0:0: [sdb] Attached SCSI removable disk
sd 4:0:0:0: Attached scsi generic sg2 type 0
[root@neo ~]# fdisk /dev/sdb

Command (m for help): p

Disk /dev/sdb: 1006 MB, 1006632960 bytes
31 heads, 62 sectors/track, 1022 cylinders
Units = cylinders of 1922 * 512 = 984064 bytes
Disk identifier: 0x00000000

   Device Boot      Start         End      Blocks   Id  System

Command (m for help): q

[root@neo ~]#
Comment 5 Peter Robinson 2009-04-18 13:23:53 EDT
Still not seeing the file system on 2.6.29.1-85.fc11.x86_64

usb 5-2: new full speed USB device using uhci_hcd and address 2
usb 5-2: New USB device found, idVendor=0421, idProduct=003c
usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 5-2: Product: Nokia 6500c
usb 5-2: Manufacturer: Nokia
usb 5-2: SerialNumber: 353099020423773
usb 5-2: configuration #1 chosen from 1 choice
usb 5-2: USB disconnect, address 2
usb 5-2: new full speed USB device using uhci_hcd and address 3
usb 5-2: New USB device found, idVendor=0421, idProduct=003b
usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 5-2: Product: Nokia 6500c
usb 5-2: Manufacturer: Nokia
usb 5-2: SerialNumber: 353099020423773
usb 5-2: configuration #1 chosen from 2 choices
Initializing USB Mass Storage driver...
scsi4 : SCSI emulation for USB Mass Storage devices
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device found at 3
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 4:0:0:0: Direct-Access     Nokia    Nokia 6500c      0000 PQ: 0 ANSI: 4
sd 4:0:0:0: [sdb] 1966080 512-byte hardware sectors: (1.00 GB/960 MiB)
sd 4:0:0:0: [sdb] Write Protect is off
sd 4:0:0:0: [sdb] Mode Sense: 04 00 00 00
sd 4:0:0:0: [sdb] Assuming drive cache: write through
sd 4:0:0:0: [sdb] 1966080 512-byte hardware sectors: (1.00 GB/960 MiB)
sd 4:0:0:0: [sdb] Write Protect is off
sd 4:0:0:0: [sdb] Mode Sense: 04 00 00 00
sd 4:0:0:0: [sdb] Assuming drive cache: write through
 sdb:
sd 4:0:0:0: [sdb] Attached SCSI removable disk
sd 4:0:0:0: Attached scsi generic sg2 type 0
You have new mail in /var/spool/mail/root
[root@neo ~]# fdisk /dev/sdb

Command (m for help): p

Disk /dev/sdb: 1006 MB, 1006632960 bytes
31 heads, 62 sectors/track, 1022 cylinders
Units = cylinders of 1922 * 512 = 984064 bytes
Disk identifier: 0x00000000

   Device Boot      Start         End      Blocks   Id  System

Command (m for help): q

[root@neo ~]# uname -a
Linux neo 2.6.29.1-85.fc11.x86_64 #1 SMP Wed Apr 15 19:21:17 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Comment 6 Daniel Qarras 2009-04-19 06:23:21 EDT
I have this "missing partitions" problem with Nokia E75 connected with USB after upgrading to 2.6.29.1-85.fc11.i586. Earlier kernel-2.6.29.1-70.fc11.i586 worked ok but unfortunately I can't find it from mirrors anymore and can't verify that it really was the kernel upgrade that caused this regression.

Nokia E75 can be connected in 5 different modes over USB and with kernel-2.6.29.1-70 two of the modes provided access to storage area on the phone, one to memory card and one to a "CD-ROM" drive. Now both of these are showing without partitions. In camera mode photos can be still accessed, though.

Below are syslog output, first with USB Mass Storage mode and second in CD-ROM mode.


Apr 19 13:18:21 localhost kernel: usb 1-8: new high speed USB device using ehci_hcd and address 9
Apr 19 13:18:21 localhost kernel: usb 1-8: New USB device found, idVendor=0421, idProduct=010d
Apr 19 13:18:21 localhost kernel: usb 1-8: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Apr 19 13:18:21 localhost kernel: usb 1-8: Product: Nokia E75
Apr 19 13:18:21 localhost kernel: usb 1-8: Manufacturer: Nokia
Apr 19 13:18:21 localhost kernel: usb 1-8: SerialNumber: 1234567890
Apr 19 13:18:21 localhost kernel: usb 1-8: configuration #1 chosen from 1 choice
Apr 19 13:18:21 localhost kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Apr 19 13:18:26 localhost kernel: scsi 4:0:0:0: Direct-Access     Nokia    S60              1.0  PQ: 0 ANSI: 0
Apr 19 13:18:26 localhost kernel: sd 4:0:0:0: [sdb] 7959552 512-byte hardware sectors: (4.07 GB/3.79 GiB)
Apr 19 13:18:26 localhost kernel: sd 4:0:0:0: [sdb] Write Protect is off
Apr 19 13:18:26 localhost kernel: sd 4:0:0:0: [sdb] Assuming drive cache: write through
Apr 19 13:18:26 localhost kernel: sd 4:0:0:0: [sdb] 7959552 512-byte hardware sectors: (4.07 GB/3.79 GiB)
Apr 19 13:18:26 localhost kernel: sd 4:0:0:0: [sdb] Write Protect is off
Apr 19 13:18:26 localhost kernel: sd 4:0:0:0: [sdb] Assuming drive cache: write through
Apr 19 13:18:27 localhost kernel: sdb:
Apr 19 13:18:27 localhost kernel: sd 4:0:0:0: [sdb] Attached SCSI removable disk
Apr 19 13:18:27 localhost kernel: sd 4:0:0:0: Attached scsi generic sg2 type 0


Apr 19 13:21:52 localhost kernel: usb 1-8: new high speed USB device using ehci_hcd and address 12
Apr 19 13:21:53 localhost kernel: usb 1-8: New USB device found, idVendor=0421, idProduct=010d
Apr 19 13:21:53 localhost kernel: usb 1-8: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Apr 19 13:21:53 localhost kernel: usb 1-8: Product: Nokia E75
Apr 19 13:21:53 localhost kernel: usb 1-8: Manufacturer: Nokia
Apr 19 13:21:53 localhost kernel: usb 1-8: SerialNumber: 1234567890
Apr 19 13:21:53 localhost kernel: usb 1-8: configuration #1 chosen from 1 choice
Apr 19 13:21:53 localhost kernel: scsi5 : SCSI emulation for USB Mass Storage devices
Apr 19 13:21:58 localhost kernel: scsi 5:0:0:0: CD-ROM            Nokia    S60              1.0  PQ: 0 ANSI: 2
Apr 19 13:21:58 localhost kernel: sr1: scsi3-mmc drive: 0x/0x xa/form2 tray
Apr 19 13:21:58 localhost kernel: sr 5:0:0:0: Attached scsi generic sg2 type 5
Comment 7 Daniel Qarras 2009-04-19 11:57:12 EDT
Ok, I'm puzzled, I now tried with 2.6.29-0.258.2.3.rc8.git2.fc11.i586 and still no partitions.
Comment 8 Daniel Qarras 2009-04-20 13:42:19 EDT
I have narrowed this down to DeviceKit-disks upgrade, please see

https://bugzilla.redhat.com/show_bug.cgi?id=496683

I am still wondering how non-kernel upgrade can mess up disk partition visibility.

PS. I think the original issue this bug was created for is now clearly solved and this report should be closed.
Comment 9 Daniel Qarras 2009-04-20 13:45:37 EDT
I see that https://bugzilla.redhat.com/show_bug.cgi?id=495876 is also related.
Comment 10 Daniel Qarras 2009-04-26 05:11:50 EDT
I think it is now clear that the missing partitions are due to a udev issue, please see Bug 496683.

I think this bug can be closed if the oops is gone.

Note You need to log in before you can comment on or make changes to this bug.